# Webhook Events

## List available webhook event types

**get** `/v3/webhook-events`

Returns all available webhook event types that can be subscribed to.
Use this endpoint to discover valid values for the `subscribed_events`
field when creating or updating webhook subscriptions.

### Returns

- `doc_url: "https://apidocs.linqapp.com/documentation/webhook-events"`

  URL to the webhook events documentation

  - `"https://apidocs.linqapp.com/documentation/webhook-events"`

- `events: array of WebhookEventType`

  List of all available webhook event types

  - `"message.sent"`

  - `"message.received"`

  - `"message.read"`

  - `"message.delivered"`

  - `"message.failed"`

  - `"message.edited"`

  - `"reaction.added"`

  - `"reaction.removed"`

  - `"participant.added"`

  - `"participant.removed"`

  - `"chat.created"`

  - `"chat.group_name_updated"`

  - `"chat.group_icon_updated"`

  - `"chat.group_name_update_failed"`

  - `"chat.group_icon_update_failed"`

  - `"chat.typing_indicator.started"`

  - `"chat.typing_indicator.stopped"`

  - `"phone_number.status_updated"`

  - `"call.initiated"`

  - `"call.ringing"`

  - `"call.answered"`

  - `"call.ended"`

  - `"call.failed"`

  - `"call.declined"`

  - `"call.no_answer"`

### Example

```http
curl https://api.linqapp.com/api/partner/v3/webhook-events \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
```

#### Response

```json
{
  "events": [
    "message.sent",
    "message.received",
    "message.read",
    "message.delivered",
    "message.failed",
    "reaction.added",
    "reaction.removed",
    "participant.added",
    "participant.removed",
    "chat.created",
    "chat.group_name_updated",
    "chat.group_icon_updated",
    "chat.group_name_update_failed",
    "chat.group_icon_update_failed",
    "chat.typing_indicator.started",
    "chat.typing_indicator.stopped",
    "message.edited",
    "phone_number.status_updated"
  ],
  "doc_url": "https://apidocs.linqapp.com/documentation/webhook-events"
}
```

## Domain Types

### Webhook Event Type

- `WebhookEventType = "message.sent" or "message.received" or "message.read" or 22 more`

  Valid webhook event types that can be subscribed to.

  **Note:** `message.edited` is only delivered to subscriptions using `webhook_version: "2026-02-03"`.
  Subscribing to this event on a v2025 subscription will not produce any deliveries.

  - `"message.sent"`

  - `"message.received"`

  - `"message.read"`

  - `"message.delivered"`

  - `"message.failed"`

  - `"message.edited"`

  - `"reaction.added"`

  - `"reaction.removed"`

  - `"participant.added"`

  - `"participant.removed"`

  - `"chat.created"`

  - `"chat.group_name_updated"`

  - `"chat.group_icon_updated"`

  - `"chat.group_name_update_failed"`

  - `"chat.group_icon_update_failed"`

  - `"chat.typing_indicator.started"`

  - `"chat.typing_indicator.stopped"`

  - `"phone_number.status_updated"`

  - `"call.initiated"`

  - `"call.ringing"`

  - `"call.answered"`

  - `"call.ended"`

  - `"call.failed"`

  - `"call.declined"`

  - `"call.no_answer"`

### Webhook Event List Response

- `WebhookEventListResponse object { doc_url, events }`

  - `doc_url: "https://apidocs.linqapp.com/documentation/webhook-events"`

    URL to the webhook events documentation

    - `"https://apidocs.linqapp.com/documentation/webhook-events"`

  - `events: array of WebhookEventType`

    List of all available webhook event types

    - `"message.sent"`

    - `"message.received"`

    - `"message.read"`

    - `"message.delivered"`

    - `"message.failed"`

    - `"message.edited"`

    - `"reaction.added"`

    - `"reaction.removed"`

    - `"participant.added"`

    - `"participant.removed"`

    - `"chat.created"`

    - `"chat.group_name_updated"`

    - `"chat.group_icon_updated"`

    - `"chat.group_name_update_failed"`

    - `"chat.group_icon_update_failed"`

    - `"chat.typing_indicator.started"`

    - `"chat.typing_indicator.stopped"`

    - `"phone_number.status_updated"`

    - `"call.initiated"`

    - `"call.ringing"`

    - `"call.answered"`

    - `"call.ended"`

    - `"call.failed"`

    - `"call.declined"`

    - `"call.no_answer"`
